Subject: Re: bug#20159: 24.4; url-retrieve invokes same callback twice with kill-buffer

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Mar 2015 10:39:40 +0300

> Date: Fri, 27 Mar 2015 22:40:19 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > > This change broke gnus for me on a mingw64 x64 build of emacs, as gnutls
> > > seems unable to connect to the NNTP server at gmane.org.
> > 
> > Sorry about that.  Does Gnus do something windows-specific for
> > connecting?  Perhaps that specific treatment relied on something that
> > is no longer true on Windows.
> 
> Another, perhaps more probable culprit is the emacs_gnutls_pull
> function.  It calls sys_read, where I made some changes to support the
> non-blocking connect.  Perhaps emacs_gnutls_pull cannot cope with some
> results of those changes, and itself needs to be amended.

I found and fixed a stupid mistake in sys_connect that broke blocking
connects.  Before I fixed it, "M-x eww" wouldn't work; now it does,
including with HTTPS URLs that require GnuTLS.  Please see if this
also fixes your problem with Gnus and GnuTLS connections to NNTP
servers.

Sorry.